Name:           ocaml-atdgen
Version:        1.2.2
Release:        %mkrel 5
Summary:        Produce OCaml code from type definitions in the ATD syntax
License:        BSD
Group:          Development/OCaml
URL:            http://oss.wink.com/atdgen/
Source0:        http://oss.wink.com/atdgen/atdgen-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-atd-devel
BuildRequires:  ocaml-biniou-devel
BuildRequires:  ocaml-yojson-devel
BuildRequires:  ocaml-easy-format-devel

%description
Atdgen is a command-line program that takes as input type definitions in
the ATD (http://oss.wink.com/atd/) syntax and produces OCaml code suitable
for data serialization and deserialization.

Two data formats are currently supported for serialization, these are JSON
and Biniou, a binary format which retains most of JSON's properties. Atdgen
can also generate data validators derived from annotated type definitions
(starting with Atdgen 1.2.0).

Atdgen was designed with efficiency and durability in mind. Software
authors are encouraged to use Atdgen directly and to write tools that may
reuse part of Atdgen's source code.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n atdgen-%{version}

%build
make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/atdgen
mkdir -p %{buildroot}%{_bindir}
rm -f atdgen.run
make install BINDIR=%{buildroot}%{_bindir}

%files
%doc README INSTALL LICENSE Changes.txt
%dir %{_libdir}/ocaml/atdgen
%{_libdir}/ocaml/atdgen/META
%{_libdir}/ocaml/atdgen/*.cma
%{_libdir}/ocaml/atdgen/*.cmo
%{_libdir}/ocaml/atdgen/*.cmi
%{_bindir}/atdgen

%files devel
%doc odoc/
%doc manual/
%doc example/
%{_libdir}/ocaml/atdgen/*.a
%{_libdir}/ocaml/atdgen/*.o
%{_libdir}/ocaml/atdgen/*.cmxa
%{_libdir}/ocaml/atdgen/*.cmx
%{_libdir}/ocaml/atdgen/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.2-5.mga3
+ Revision: 361146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 1.2.2-4.mga3
+ Revision: 326604
- rebuild for new ocaml

  + blue_prawn <blue_prawn>
    - new rpm group for ocaml

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.2.2-2.mga3
+ Revision: 300036
- new rpm group for ocaml

* Sun Jun 24 2012 blue_prawn <blue_prawn> 1.2.2-1.mga3
+ Revision: 263107
- requires easy-format
- imported package ocaml-atdgen

